Operate the tasks on the Artistic QR code.
curl --request POST \
--url https://api.acedata.cloud/qrart/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"ids": [
"<string>"
],
"action": "retrieve"
}
'import requests
url = "https://api.acedata.cloud/qrart/tasks"
payload = {
"id": "<string>",
"ids": ["<string>"],
"action": "retrieve"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>', ids: ['<string>'], action: 'retrieve'})
};
fetch('https://api.acedata.cloud/qrart/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "953df7c1-b051-40d7-bd71-f4fd38fb3b33",
"_id": "662a6554550a4144a559bced",
"request": {
"ecl": "H",
"qrw": 1.5,
"seed": 1,
"type": "text",
"ratio": null,
"steps": 16,
"preset": "sunset",
"prompt": "generate a big Christmas tree with a lot of presents under the tree, the Christmas tree is in the front yard next to a decorated house, and Santa and his sleigh flying over the decorated house, with a full moon in the night sky.",
"rotate": "0",
"content": "12314",
"pattern": "custom",
"timeout": null,
"position": "center",
"trace_id": "8112402d-8051-4c15-b60d-0b9c234a2ed8",
"sub_marker": "square",
"pixel_style": "square",
"aspect_ratio": "1:1",
"callback_url": null,
"image_origin": null,
"marker_shape": "square",
"padding_level": "5",
"padding_noise": "0",
"negative_prompt": null,
"content_image_url": null
},
"response": {
"seed": 1,
"success": true,
"image_url": "https://cdn.acedata.cloud/1j81zr.png",
"image_width": 768,
"image_height": 768
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Operate the tasks on the Artistic QR code.
POST
/
qrart
/
tasks
Operate the tasks on the Artistic QR code.
curl --request POST \
--url https://api.acedata.cloud/qrart/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"ids": [
"<string>"
],
"action": "retrieve"
}
'import requests
url = "https://api.acedata.cloud/qrart/tasks"
payload = {
"id": "<string>",
"ids": ["<string>"],
"action": "retrieve"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>', ids: ['<string>'], action: 'retrieve'})
};
fetch('https://api.acedata.cloud/qrart/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "953df7c1-b051-40d7-bd71-f4fd38fb3b33",
"_id": "662a6554550a4144a559bced",
"request": {
"ecl": "H",
"qrw": 1.5,
"seed": 1,
"type": "text",
"ratio": null,
"steps": 16,
"preset": "sunset",
"prompt": "generate a big Christmas tree with a lot of presents under the tree, the Christmas tree is in the front yard next to a decorated house, and Santa and his sleigh flying over the decorated house, with a full moon in the night sky.",
"rotate": "0",
"content": "12314",
"pattern": "custom",
"timeout": null,
"position": "center",
"trace_id": "8112402d-8051-4c15-b60d-0b9c234a2ed8",
"sub_marker": "square",
"pixel_style": "square",
"aspect_ratio": "1:1",
"callback_url": null,
"image_origin": null,
"marker_shape": "square",
"padding_level": "5",
"padding_noise": "0",
"negative_prompt": null,
"content_image_url": null
},
"response": {
"seed": 1,
"success": true,
"image_url": "https://cdn.acedata.cloud/1j81zr.png",
"image_width": 768,
"image_height": 768
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Autorizzazioni
API token from https://platform.acedata.cloud
Intestazioni
Qrart Tasks Param Accept
Opzioni disponibili:
application/json Corpo
application/json
Questa pagina è stata utile?
⌘I

